# 전자서명 템플릿 상세 조회 API

전자서명 템플릿에 대한 정보를 확인할 수 있습니다.

<br>

## `GET` kit-api/v1/signature-templates/\[key]

Method: GET Endpoint: kit-api/v1/signature-templates/\[key] Param: key는 전자서명 템플릿의 id(숫자) 혹은 slug(문자)를 의미

<br>

## Example

```
...kit-api/v1/signature-templates/4231
```

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    // 전자서명 템플릿 정보
    "id": 12345, // 고유 식별 id
    "name": "MOU 템플릿", // 전자서명 템플릿 이름
    "contractFile": "....pdf", // 전자서명 템플릿으로 등록한 계약 문서 url (요청 후 10분만 유효합니다.)
    "participantType": "TOGETHER", // 서명 타입 (순서대로 서명 여부 - TOGETHER, ORDER)
    "createdAt": "2024-07-15T00:00:00.000Z", // 생성일
    "updatedAt": "2024-07-15T00:00:00.000Z", // 수정일
    "slug": "test_slug_03232", // slug(문자)
    "ccEmails": ["cc@prix.im"], // 워크플로우 이메일 참조자
    "managerNames": ["이용우"], // 계약서 담당자 이름 목록
    "signatureCount": 3, // 템플릿으로 생성한 전자서명 개수
    "objects": [
      {
        // 전자서명 입력값
        "id": 123, // 고유 식별 id
        "type": "TEXT", // 종류 (TEXT, SIGNATURE, CHECKBOX)
        "category": "DEFAULT", // 유형 (DEFAULT, INPUT)
        "name": "주소", // 이름
        "description": "상세 주소를 입력해 주세요." // 설명
      }
    ],
    "tags": [
      // 태그 목록
      {
        "id": 1,
        "name": "태그이름"
      }
    ],
    "participants": [
      {
        // 전자서명 참여자
        "id": 987, // 고유 식별 id
        "order": 1, // 전자서명 참여 순서
        "role": "고객" // 역할 이름 (ex. 갑, 고객, 등)
      }
    ]
  }
}
```

<br>

| Status Code | Error Code                      | Description          |
| ----------- | ------------------------------- | -------------------- |
| 401         | FORBIDDEN\_BUSINESS             | 전자서명 템플릿에 권한이 없는 경우  |
| 404         | NOT\_FOUND\_SIGNATURE\_TEMPLATE | 전자서명 템플릿이 존재하지 않는 경우 |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature-template/item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
